/*
  Window
  Routines to control the Infocom windows
  JBS 15 June 1994
*/

#ifndef _WINDOW_

#define _WINDOW_

#include "types.h"

void set_current_window(word);
void split_screen(word);
void save_cursor_position(void);
void restore_cursor_position(void);
void do_beep(word);
void erase_line(word);
void do_clear_screen(word);
void set_cursor_posn(word, word);
void set_text_mode(word);
void set_text_colour(word, word);
void io_buffer_mode(word);
void io_mode(signed_word, word);
void get_key(void);
word read_the_key(void);
bool wait_for_key(word, word);

#endif
